Overview

DigitalOut controls any number of digital output channels. It provides push buttons for you to change the state of each channel. You can change the state of channels individually (Immediate mode), or change several channels at a time (Deferred mode).

When you start DigitalOut, the first thing to do is either:

  1. Load a hardware setup file (*.ims) which was previously created using the SetupIML program, or
  2. Restore a complete DigitalOut setup which was saved during a previous session.


Configuring the Hardware

You configure the data acquisition hardware simply by sending it a hardware setup file (which was created with the SetupIML program). Before you can control outputs you must choose which setup file to use.

  1. Select Load Hardware Setup from the File menu. A dialogue box appears where you can choose to load a setup file from disk or select one that is already in use by another Windmill application. If the applications have channels in common you must specify the same setup file for each.

  2. Select a setup file and it is displayed in the File Name box. Select OK and the file is loaded, the hardware configured and you can now select which channels will be controlled by DigitalOut. (Alternatively double-click on the desired file or type the name into the File Name box then select OK.)

If you prefer you can load the hardware setup file at the same time you load DigitalOut.


Selecting Channels to Control

You must choose which channels you want to control, and connect these to DigitalOut. Do this in the Channel Connections box, which appears after you select a hardware setup file or when you select Outputs from the menu bar.

Connecting channels

Initially all channels are unconnected and listed in the left hand box. To connect a channel select it and choose the Connect button. It is now displayed in the right hand Connected Channels list. Alternatively double-click channels to connect them.

Disconnecting channels

To disconnect a channel select it from the right hand box and choose the Disconnect button. It will swap back to the Unconnected Channels list. Alternatively double-click channels to disconnect them.

You can now send data to channels.


The Mode Button

You can choose either to switch outputs on a channel by channel basis (Immediate Mode), or to switch a set of outputs simultaneously (Deferred mode). Use the Mode button to swap between the two modes. The current mode is shown on the button bar.


Changing One Output State

In immediate mode, click the channel button to switch the output to its opposite state. Alternatively use the cursor keys to select the channel and press the Return key.

The selected channel is marked with a dotted line around the channel name. You can move the selection with the following keys:

Cursor Up | Selects the previous channel, scrolling it down if necesary
Cursor Dn | Selects the next channel, scrolling it up if necessary
Home | Selects the first channel of the current display
End | Selects the last channel of the current display
Ctrl-Home | Selects the first channel
Ctrl-End | Selects the last channel

If you make a mistake while editing the value, press Escape to cancel your changes and return to the old value.


Changing Several Output States at Once

To switch several outputs simultaneously, use deferred mode as follows:

  1. Press the Mode button to select deferred mode.
  2. Mark all the channels you wish to change. A warning symbol [image] shows that the hardware outputs are still at their previous states.
  3. Press the Mode button again. This will switch all the outputs and swap back to immediate mode.

While in deferred mode you can cancel your changes and return to the old values by pressing Escape.

You can select the channels to be switched either by clicking the mouse or by using the following keys:

Cursor Up | Selects the previous channel, scrolling it down if necesary
Cursor Dn | Selects the next channel, scrolling it up if necessary
Home | Selects the first channel of the current display
End | Selects the last channel of the current display
Ctrl-Home | Selects the first channel
Ctrl-End | Selects the last channel

If you make a mistake while editing the value, press Escape to cancel your changes and return to the old value.


Switching All Channels On or Off

To set all the connected channels to the same state, select AllOn or AllOff from the button bar. AllOn sends a 1 to each channel, AllOff a 0.


Saving DigitalOut's Setup Details

You can save the details you've specified in DigitalOut and restore them in the future.

  1. Select Save DigitalOut Setup from the File menu - a dialogue box appears.
  2. Type a name into the File Name box. You don't need to specify an extension as .wdo will be automatically added.
  3. Choose OK and the details are stored in this file in the working directory. (If you choose a name of a file that already exists you will be asked if the old file is to be overwritten.)

The DigitalOut setup file contains the following details:

  • name of the hardware setup file to use
  • connected channels
  • size and position of the DigitalOut window


Restoring DigitalOut's Setup Details

To restore a previously saved setup.

  1. Select Restore DigitalOut Setup from the File menu. A dialogue box appears with a list of all files with a .wdo extension in the working directory.
  2. Select a setup file and on choosing OK all the setup details are restored.

You can also automatically restore the settings when you load DigitalOut, by including the setup file name in the command line.


Loading DigitalOut so it's Immediately Ready to Start

You can configure DigitalOut to start with either a DigitalOut setup file (*.wdo) or a hardware setup file (*.ims) already loaded. So when you start DigitalOut you also configure the hardware, connect channels and position the window ready to start sending data.To do this:

  1. On the Windows desktop right click the DigitalOut icon.
  2. Select Properties and choose the Shortcut tab.
  3. Add the setup file name to the Target box.

For example, for an DigitalOut setup file called mysetup.wdo type:
c:\program files\windmill software\windmill\digout.exe mysetup.wdo
Leave a space between digout.exe and mysetup.wdo. The .wdo file contains a reference to an .ims file so this will be loaded too.

To load just a hardware setup type:
c:\program files\windmill software\windmill\digout.exe hwsetup.ims
inserting the correct IMS file. When you load DigitalOut the hardware will be configured as specified but the DigitalOut settings will be at their default values.

Note: For Windows 7 use c:\program files( x86)\windmill software\windmill\digout.exe mysetup.wdo.


Automatically Starting DigitalOut when you Switch on the Computer

You can fully automate DigitalOut so it starts as soon as you switch on the computer. To do this, having first saved a DigitalOut setup file, proceed as follows.

Add a DigitalOut setup file to DigitalOut's command line argument

Windows 7

  1. Click the Windows Start button [image] , click All Programs, right-click the Startup folder and select Open.
  2. In Computer [image], open the Windmill Software folder, which by default is in the Program Files (x86) folder.
  3. Right-click DigitalOut. Choose Create Shortcut. This may be placed in the Windows folder or on the desktop.
  4. Drag the shortcut into the Startup folder which is at windows\start menu\programs\startup.

Earlier Windows Versions

  1. Launch Windows Explorer and open the Windmill folder.
  2. Copy DigitalOut (right click the DigitalOut icon and choose copy).
  3. Open the Windows\Start Menu\Programs\StartUp folder and paste DigitalOut there.


Altering the Hardware Setup File

You can alter the hardware setup files (*.ims) with the SetupIML program. You can move to SetupIML and change some of the details in the current setup file without closing DigitalOut (as long as the channels are not in use by another application). When you return to DigitalOut the affected parameters are updated.

If you rename a channel then DigitalOut will disconnect that channel. Use the Outputs menu to reconnect it.


Closing DigitalOut

Select Exit from the File menu.


Commands

File menu

Load Hardware Setup
Save Panel Setup
Restore Panel Setup
Exit

Outputs menu


Keyboard

PgUp | Shows the channel entries above those currently shown.
PgDn | Shows the channel entries below those currently shown
Home | Selects the first channel on the current page
End | Selects the last channel on the current page
Ctrl-Home | Selects the first channel
Ctrl-End | Selects the last channel
Up Arrow | Selects the previous channel, scrolling it into the window if necessary
Dn Arrow | Selects the next channel, scrolling it into the window if necessary
Return | Switches the selected channel (immediate mode) or marks the channel (deferred mode)
Escape | Cancels any marked channels without updating the hardware (deferred mode only))
Alt-M | Toggles between immediate mode and deferred mode and updates any marked channels)
Alt-N | Turns on all connected channels (sends a 1))
Alt-O | Turns off all connected channels (sends a 0)


Error Messages

Error 20 | No reply received - problem with link to acquisition hardware
Error 22 | Timed out while waiting for reply from hardware
Error 29 | Transmission error
Error 100 | The demonstration version does not work with this hardware
Error 104 | Hardware failed to accept data
Error 106 | Hardware failed to configure
Error 107 | Error in hardware communications


World Wide Web

Web Site

You can find more information about Windmill Software on the World Wide Web at http://www.windmill.co.uk/.

Every month we publish a free newsletter - Monitor ((ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

Updates of this Help file will be posted at http://www.windmill.co.uk/help.html.


Your Comments on the Help

Tell us any improvements we could make to our Help files. Could you quickly find what you wanted? Was the explanation clear? Have you any questions? Visit http://www.windmill.co.uk/help.html and fill in the comments form at the bottom of the page.


Licence a Trial Copy of Windmill

Subscribers to our newsletter can download a fully-working, trial version of Windmill and the ComIML serial driver. This lets you collect data from almost any device which plugs into the PC's COM port. At the end of your trial, if you wish to keep using the software, you can purchase a release key for just £50 from our data acquisition shop. This will let you go on using your set-up indefinitely.

To obtain a release key:

  1. Run the Windmill ConfIML program and click the Software button.
  2. You will see a screen showing your software and a Request Key. Make a note of the Request Key.
  3. Go to the Windmill data acquisition shop and add Licence your trial version of Windmill to your shopping cart.
  4. During the checkout process you will be asked for your Request Key. Enter this.
  5. One of our team will send you back your Release Key. Enter this in the ConfIML Software Authorization screen you saw earlier. Your software will be re-enabled and you can continue to use it.

Thank you for using Windmill
http://www.windmill.co.uk/
http://www.windmillsoft.com/


Windmill

Windmill is a suite of data acquisition and control software. It comprises:

Drivers - which handle the low-level communications

ConfIML - which creates a file holding details on which hardware devices are in your system

SetupIML - which creates files telling the other applications how you want the hardware configured

Applications - such as Logger and Chart which perform the data acquisition and control tasks


Contacting Windmill Software

Windmill Software, PO Box 58, North District Office, Manchester, M8 8QR, UK.
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: sales@windmill.co.uk
http://www.windmillsoft.com/
http://www.windmill.co.uk/

Every month we publish a free newsletter - Monitor (ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

Updates of this Help file will be posted at http://www.windmill.co.uk/help.html.


Digital Help contents

Windmill DigitalOut Help Contents

Getting Started

Overview

Configuring the hardware

Selecting channels to control

The Mode button

Changing one output state

Changing several output states at once

Setting all channels to either on or off

Saving DigitalOut's Details

Saving DigitalOut's setup details

Restoring DigitalOut's setup details

Loading DigitalOut so it's immediately ready to start

Automatically starting DigitalOut when you switch on the computer

Altering the hardware setup file

Closing DigitalOut

Reference

Command Summary

Keyboard

Error messages

World Wide Web

Your comments on the Help


Dynamic Data Exchange (DDE)

DigitalOut supports dynamic data exchange, but it is much easier to use the DDE Panel to set up DDE links.


File Menu

Load Hardware Setup

Configures the hardware by sending it a hardware setup file of your choice (an *.ims file).

Related topics

Configuring the hardware

Save Panel Setup

Saves DigitalOut's current settings in a setup file of your choice (a *.wdo file).

Related topics:

Saving DigitalOut's setup details

Restore Panel Setup

Loads a previously saved DigitalOut setup file of your choice (a *.wdo file).

Related topics:

Restoring DigitalOut's setup details

DDE

Lets you change DigitalOut's DDE service name. (However, we recommend you use the DDE Panel applications to set up DDE links as it's easier from there.)

Exit

Closes DigitalOut.

Related topics:

Closing DigitalOut


Outputs Menu

The Outputs menu lets you connect channels to DigitalOut.

Related topics:

Connecting channels


DigitalOut Help

Windmill DigitalOut Help
designed and written
by Jill Studholme